#!/bin/bash

docker build --build-arg TARGET_ARCH=arm64 -t cpp-httplib-builder:arm64 .
docker build --build-arg TARGET_ARCH=amd64 -t cpp-httplib-builder:amd64 .

docker tag cpp-httplib-builder:arm64 gitea.jde.nz/public/cpp-httplib-builder:arm64
docker tag cpp-httplib-builder:amd64 gitea.jde.nz/public/cpp-httplib-builder:amd64
docker tag cpp-httplib-builder:amd64 gitea.jde.nz/public/cpp-httplib-builder:latest

docker push gitea.jde.nz/public/cpp-httplib-builder:arm64
docker push gitea.jde.nz/public/cpp-httplib-builder:amd64